% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RoBMA-package.R
\docType{package}
\name{RoBMA-package}
\alias{RoBMA-package}
\alias{RoBMA_package}
\alias{RoBMA.package}
\title{RoBMA: Robust Bayesian meta-analysis}
\description{
RoBMA: Bayesian model-averaged meta-analysis with adjustments for publication
bias and ability to specify informed prior distributions and draw inference with
inclusion Bayes factors.
}
\section{User guide}{
 See \insertCite{bartos2021no;textual}{RoBMA},
\insertCite{maier2020robust;textual}{RoBMA}, and
\insertCite{bartos2020adjusting;textual}{RoBMA} for details regarding the RoBMA
methodology.

More details regarding customization of the model ensembles are provided in the
\href{../doc/ReproducingBMA.html}{\bold{Reproducing BMA}},
\href{../doc/MedicineBMA.html}{\bold{BMA in Medicine}}, and
\href{../doc/CustomEnsembles.html}{\bold{Fitting Custom Meta-Analytic Ensembles}}
vignettes. Please, use the "Issues" section in the GitHub repository to ask any
further questions.
}

\references{
\insertAllCited{}
}
\seealso{
Useful links:
\itemize{
  \item \url{https://fbartos.github.io/RoBMA/}
  \item Report bugs at \url{https://github.com/FBartos/RoBMA/issues}
}

}
\author{
František Bartoš \email{f.bartos96@gmail.com}
}
\keyword{package}
