% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/distributions.R
\name{weighted_multivariate_normal}
\alias{weighted_multivariate_normal}
\title{Weighted multivariate normal distribution}
\arguments{
\item{x}{quantiles.}

\item{p}{vector of probabilities.}

\item{mean}{mean}

\item{sigma}{covariance matrix.}

\item{crit_x}{vector of critical values defining steps.}

\item{omega}{vector of weights defining the probability
of observing a t-statistics between each of the two steps.}

\item{type}{type of weight function (defaults to \code{"two.sided"}).}

\item{log, log.p}{logical; if \code{TRUE}, probabilities
\code{p} are given as \code{log(p)}.}
}
\value{
\code{.dwmnorm_fast} returns a density of the multivariate
weighted normal distribution.
}
\description{
Density function for the weighted multivariate normal
distribution with \code{mean}, covariance matrix \code{sigma},
critical values \code{crit_x}, and weights \code{omega}.
}
\seealso{
\link[stats]{Normal}, \link{weighted_normal}
}
